package org.apache.juddi.portlets.client.service;

import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.rpc.AsyncCallback;
import com.google.gwt.user.client.rpc.ServiceDefTarget;

public interface InquiryServiceAsync
{

    /**
     * GWT-RPC service  asynchronous (client-side) interface
     * @see org.apache.juddi.portlets.client.service.InquiryService
     */
    void queryJUDDI( java.lang.String query, AsyncCallback<org.apache.juddi.portlets.client.service.SearchResponse> callback );


    /**
     * GWT-RPC service  asynchronous (client-side) interface
     * @see org.apache.juddi.portlets.client.service.InquiryService
     */
    void getTModelDetail( java.lang.String authToken, java.lang.String tModelKey, AsyncCallback<org.apache.juddi.portlets.client.service.InquiryResponse> callback );


    /**
     * GWT-RPC service  asynchronous (client-side) interface
     * @see org.apache.juddi.portlets.client.service.InquiryService
     */
    void getServiceDetail( java.lang.String authToken, java.lang.String serviceKey, AsyncCallback<org.apache.juddi.portlets.client.service.InquiryResponse> callback );


    /**
     * GWT-RPC service  asynchronous (client-side) interface
     * @see org.apache.juddi.portlets.client.service.InquiryService
     */
    void getBusinessDetail( java.lang.String authToken, java.lang.String businessKey, AsyncCallback<org.apache.juddi.portlets.client.service.InquiryResponse> callback );


    /**
     * Utility class to get the RPC Async interface from client-side code
     */
    public static final class Util 
    { 
        private static InquiryServiceAsync instance;

        public static final InquiryServiceAsync getInstance()
        {
            if ( instance == null )
            {
                instance = (InquiryServiceAsync) GWT.create( InquiryService.class );
                ServiceDefTarget target = (ServiceDefTarget) instance;
                target.setServiceEntryPoint( GWT.getModuleBaseURL() + "inquiry" );
            }
            return instance;
        }

        private Util()
        {
            // Utility class should not be instanciated
        }
    }
}
