package org.apache.juddi.portlets.client.service;

import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.rpc.AsyncCallback;
import com.google.gwt.user.client.rpc.ServiceDefTarget;

public interface JUDDIApiServiceAsync
{

    /**
     * GWT-RPC service  asynchronous (client-side) interface
     * @see org.apache.juddi.portlets.client.service.JUDDIApiService
     */
    void getPublishers( java.lang.String authToken, java.lang.String publisherId, AsyncCallback<org.apache.juddi.portlets.client.service.JUDDIApiResponse> callback );


    /**
     * GWT-RPC service  asynchronous (client-side) interface
     * @see org.apache.juddi.portlets.client.service.JUDDIApiService
     */
    void savePublisher( java.lang.String authToken, org.apache.juddi.portlets.client.model.Publisher publisher, AsyncCallback<org.apache.juddi.portlets.client.service.JUDDIApiResponse> callback );


    /**
     * GWT-RPC service  asynchronous (client-side) interface
     * @see org.apache.juddi.portlets.client.service.JUDDIApiService
     */
    void deletePublisher( java.lang.String authToken, java.lang.String publisherId, AsyncCallback<org.apache.juddi.portlets.client.service.JUDDIApiResponse> callback );


    /**
     * GWT-RPC service  asynchronous (client-side) interface
     * @see org.apache.juddi.portlets.client.service.JUDDIApiService
     */
    void restartManager( java.lang.String authToken, AsyncCallback<org.apache.juddi.portlets.client.service.JUDDIApiResponse> callback );


    /**
     * Utility class to get the RPC Async interface from client-side code
     */
    public static final class Util 
    { 
        private static JUDDIApiServiceAsync instance;

        public static final JUDDIApiServiceAsync getInstance()
        {
            if ( instance == null )
            {
                instance = (JUDDIApiServiceAsync) GWT.create( JUDDIApiService.class );
                ServiceDefTarget target = (ServiceDefTarget) instance;
                target.setServiceEntryPoint( GWT.getModuleBaseURL() + "juddi-api" );
            }
            return instance;
        }

        private Util()
        {
            // Utility class should not be instanciated
        }
    }
}
